> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Link Status

> Use this API to get the status of the KYC link by passing `verification_id` or `reference_id` to get the KYC Link status.



## OpenAPI

````yaml get /form
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /form:
    get:
      tags:
        - Get KYC Link Status
      summary: Get KYC Link Status
      description: >-
        Use this API to get the status of the KYC link by passing
        `verification_id` or `reference_id` to get the KYC Link status.
      operationId: VrsGetKYCLinkStatus
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - name: verificationID
          description: It is the unique ID you created to identify the KYC link.
          in: query
          required: false
          schema:
            type: string
            example: ABC00123
            default: ABC00123
        - name: referenceID
          description: >-
            It is the unique ID you receive in the response of Generate KYC Link
            API.
          in: query
          required: false
          schema:
            type: string
            example: '235461'
            default: '235461'
      responses:
        '200':
          $ref: '#/components/responses/getFormStatusResponse'
        '400':
          $ref: '#/components/responses/400GetFormStatus'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/Response404GetFormStatus'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  responses:
    getFormStatusResponse:
      description: Response Body of VRS GetFormStatus API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/getFormStatusResponseSchema'
    400GetFormStatus:
      description: Get Form Status responses for 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Reference ID or Verification ID Missing:
              value:
                type: validation_error
                code: invalid_request
                message: Provide verificationID or referenceID
            Client ID in Missing:
              value:
                type: validation_error
                code: x-client-id_missing
                message: x-client-id is missing in the request.
            Client Secret in Missing:
              value:
                type: validation_error
                code: x-client-secret_missing
                message: x-client-secret is missing in the request.
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response404GetFormStatus:
      description: Not found error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          example:
            type: not_found_error
            code: Resource not found
            message: No data found
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: request_failed
                message: Unable to process your request. Try again after some time
  schemas:
    getFormStatusResponseSchema:
      type: object
      properties:
        name:
          type: string
          description: It displays the name of the individual.
          example: John Doe
        phone:
          type: string
          description: It displays the phone number of the individual.
          example: 9999999999
        email:
          type: string
          description: It displays the email address of the individual.
          example: test@cashfree.com
        verification_id:
          type: string
          description: It displays the unique ID you created to identify the form.
          example: testverificationid
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.
          example: 235461
        link_expiry:
          type: string
          description: It displays the expiry date of the link.
          example: '2025-12-02'
        form_link:
          type: string
          description: It displays the URL of the form.
          example: https://forms.cashfree.com/
        form_status:
          type: string
          description: It displays the status of the form.
          example: PENDING
        verification_details:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/aadhaarFormStatusResponseSchema'
              - $ref: '#/components/schemas/panFormStatusResponseSchema'
              - $ref: '#/components/schemas/bavFormStatusResponseSchema'
              - $ref: '#/components/schemas/upiFormStatusResponseSchema'
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
    aadhaarFormStatusResponseSchema:
      type: object
      properties:
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.
          example: 234
        type:
          type: string
          description: It displays the verification type.
          example: OFFLINE_AADHAAR_VERIFICATION
        status:
          type: string
          description: It displays the verification status.
          example: SUCCESS
    panFormStatusResponseSchema:
      type: object
      properties:
        reference_id:
          type: integer
          example: 0
        type:
          type: string
          example: PANDETAILS_VERIFICATION
        status:
          type: string
          example: PENDING
    bavFormStatusResponseSchema:
      type: object
      properties:
        reference_id:
          type: integer
          example: 236
        type:
          type: string
          example: BANKDETAILS_VALIDATION
        status:
          type: string
          example: FAILED
    upiFormStatusResponseSchema:
      type: object
      properties:
        reference_id:
          type: integer
          example: 237
        type:
          type: string
          example: UPIDETAILS_VALIDATION
        status:
          type: string
          example: FAILED
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````